Class UmlBaseComponent

Manage the components.

Declaration :

- C++ : class UmlBaseComponent : public UmlItem
- Java : abstract class UmlBaseComponent extends UmlItem

Directly inherited by : UmlComponent

Artifact : UmlBaseComponent

Operation create

returns a new component named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlComponentView, in s : str) : UmlComponent, exceptions : RuntimeException
- C++ : public: static UmlComponent * create(UmlComponentView * parent, const char * s)
- Java : public static UmlComponent create(UmlComponentView parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlComponentDiagram
- C++ : public: UmlComponentDiagram * associatedDiagram()
- Java : public UmlComponentDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(inout d : UmlComponentDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlComponentDiagram * d)
- Java : public void set_AssociatedDiagram(UmlComponentDiagram d) throws RuntimeException

Operation realizingClasses

returns (in Java a copy of) the optional realizing classes

Declaration :

- Uml : + realizingClasses() : UmlClass
- C++ : public: const QVector<UmlClass> & realizingClasses()
- Java : public UmlClass[] realizingClasses()

Operation providedClasses

returns (in Java a copy of) the optional provided classes

Declaration :

- Uml : + providedClasses() : UmlClass
- C++ : public: const QVector<UmlClass> & providedClasses()
- Java : public UmlClass[] providedClasses()

Operation requiredClasses

returns (in Java a copy of) the optional required classes

Declaration :

- Uml : + requiredClasses() : UmlClass
- C++ : public: const QVector<UmlClass> & requiredClasses()
- Java : public UmlClass[] requiredClasses()

Operation set_AssociatedClasses

set the realizing, provided and required classes lists
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedClasses(inout realizing : UmlClass, inout provided : UmlClass, inout required : UmlClass) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedClasses(const QVector<UmlClass> & realizing, const QVector<UmlClass> & provided, const QVector<UmlClass> & required)
- Java : public void set_AssociatedClasses(UmlClass[] realizing, UmlClass[] provided, UmlClass[] required) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded
automatically if needed. args unused

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlComponentDiagram
- C++ : private: UmlComponentDiagram * _assoc_diagram
- Java : private UmlComponentDiagram _assoc_diagram

Relation _realizing (<unidirectional association>)

Declaration :

- Uml : - _realizing : UmlClass, multiplicity : *
- C++ : private: QVector<UmlClass> _realizing
- Java : private UmlClass[] _realizing

Stereotype: vector

Relation _provided (<unidirectional association>)

Declaration :

- Uml : - _provided : UmlClass, multiplicity : *
- C++ : private: QVector<UmlClass> _provided
- Java : private UmlClass[] _provided

Stereotype: vector

Relation _required (<unidirectional association>)

Declaration :

- Uml : - _required : UmlClass, multiplicity : *
- C++ : private: QVector<UmlClass> _required
- Java : private UmlClass[] _required

Stereotype: vector

Operation read_uml_

internal, do NOT use it

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation UmlBaseComponent

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseComponent(in id : item_id, in n : string) :
- C++ : protected: UmlBaseComponent(void * id, const QCString & n)
- Java : protected UmlBaseComponent(long id, String n)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , providedClasses , realizingClasses , referencedBy , requiredClasses , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload